WABT(1)

NAME
wasm-stats - show stats for a module

SYNOPSIS
wasm-stats [options] file ...

DESCRIPTION
wasm-stats Read a file in the wasm binary format, and show stats.

The options are as follows:

- -help
    Print a help message

- -version
    Print version information

-v, - -verbose
    Use multiple times for more info

- -enable-exceptions
    Enable Experimental exception handling

- -disable-mutable-globals
    Disable Import/export mutable globals

- -disable-saturating-float-to-int
    Disable Saturating float-to-int operators

- -disable-sign-extension
    Disable Sign-extension operators

- -disable-simd
    Disable SIMD support

- -enable-threads
    Enable Threading support

- -enable-function-references
    Enable Typed function references

- -disable-multi-value
    Disable Multi-value

- -enable-tail-call
    Enable Tail-call support

- -disable-bulk-memory
    Disable Bulk-memory operations

- -disable-reference-types
    Disable Reference types (externref)

- -enable-annotations
    Enable Custom annotation syntax

- -enable-code-metadata
    Enable Code metadata

- -enable-gc
    Enable Garbage collection

- -enable-memory64
    Enable 64-bit memory

- -enable-multi-memory
    Enable Multi-memory

- -enable-extended-const
    Enable Extended constant expressions

- -enable-all
    Enable all features

-o, - -output=FILENAME
    Output file for the opcode counts, by default use stdout

-c, - -cutoff=N
    Cutoff for reporting counts less than N

-s, - -separator=SEPARATOR
    Separator text between element and count when reporting counts

EXAMPLES
Parse binary file test.wasm and write opcode dist file test.dist

    $ wasm-stats test.wasm -o test.dist

SEE ALSO
wasm-decompile(1), wasm-interp(1), wasm-objdump(1), wasm-strip(1), wasm-validate(1), wasm2c(1), wasm2wat(1), wast2json(1), wat-desugar(1), wat2wasm(1), spectest-interp(1)

BUGS
If you find a bug, please report it at
https://github.com/WebAssembly/wabt/issues.